Storefront
Pages Retrieve
Retrieve a page.
Authorization
oauth2 content:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: content:read
Path Parameters
id*integer
A unique integer value identifying this flat page.
Header Parameters
X-29next-API-Version*string
Default
"2023-02-10"Value in
"2023-02-10"Response Body
application/json
curl -X GET "https://example.29next.store/api/admin/pages/0/" \
-H "X-29next-API-Version: 2023-02-10" \
-H "Authorization: Bearer "{
"content": "string",
"id": 0,
"meta_description": "string",
"meta_title": "string",
"metadata": {},
"slug": "string",
"template": "string",
"title": "string"
}